%{?drupal7_find_provides_and_requires}

%global module panels

Name:          drupal7-%{module}
Version:       3.4
Release:       1%{?dist}
Summary:       It allows a site administrator to create customized layouts

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.0)
Requires:      php-pcre

%description
The Panels module allows a site administrator
to create customized layouts for multiple uses.
At its core it is a drag and drop content manager
that lets you visually design a layout
and place content within that layout.
Integration with other systems allows you
to create nodes that use this, landing pages that use this,
and even override system pages such as taxonomy
and the node page so that you can customize the layout of your site
with very fine grained permissions.

This package provides the following Drupal module(s):
* %{module}


%prep
%setup -qn %{module}
cp -p %{SOURCE1} .


%build
# Empty build section, nothing to build


%install
mkdir -pm 0755 %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%files
%doc *.txt
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/*.txt


%changelog
* Mon May 26 2014 Peter Borsa <peter.borsa@gmail.com> 3.4-1
- Initial package
